Support for react router v6 in @ionic/react-router

Hi Ionic Team,
I’m having an issue with the @ionic/react-router because of an old version. I was building an app in ionic and wanted to use the latest react-router v6 library because the older version has some issues, But the @ionic/react-router is still using an old version of react-router which is bad and unsupportive to the v6 router. Can anyone tell me when the latest version of @ionic/react-router will be published with the v6 router support? I request Ionic Team to please push the new update ASAP, Thanks!

Regards,
Abdullah Khan

There’s an open feature request on GitHub here. Feel free to give it a thumbs up to show your support.

Hi @ptmkenmy, Thanks for your reply. I will surely check that link :slight_smile: